## com.saxonica.codegen
Class ItemAtCompiler

    java.lang.Object
      com.saxonica.codegen.IntegratedFunctionCompiler
          com.saxonica.codegen.ItemAtCompiler

    public class ItemAtCompiler

extends IntegratedFunctionCompiler

Generate Java code to implement a saxon:item-at() expression

Constructor Summary
`ItemAtCompiler()`

Method Summary
`String` `compile(CompilerService compiler, ExtensionFunctionCall expr, Expression[] arguments, String[] variables)` Generate Java code to evaluate the expression as a SequenceIterator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemAtCompiler

    public ItemAtCompiler()

Method Detail

### compile

    public String compile(CompilerService compiler,
                          ExtensionFunctionCall expr,
                          Expression[] arguments,
                          String[] variables)

  Description copied from class: `IntegratedFunctionCompiler`
  Generate Java code to evaluate the expression as a SequenceIterator

  Specified by:
    `compile` in class `IntegratedFunctionCompiler`
  Parameters:
    `compiler` - the compiler service
    `expr` - the integrated function call to be compiled
    `arguments` - the arguments supplied to the function call
    `variables` - an array of strings each being the Java name of a variable that holds the value of the corresponding argument, either as a SequenceIterator in the case of an argument that allows more than one value, or as an Item if the argument only allows a singleton
  Returns:
    a simple Java expression (usually the name of a variable that has been declared). If the result type of the function is boolean, this variable will hold a Java boolean. If the result type is an optional item, it will hold an Item (using null to represent an empty sequence). If it is any other type, the variable will hold a `SequenceIterator`, In each case the Java variable will at run-time hold the value of the XPath expression

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.